GuidesAPI Reference
Guides

Pools Bulk


This resource retrieves a list of charging stations for electric vehicles by pool IDs.

Request Example

The code block below shows a bulk request for pools of charging stations using a bearer token.

GET 
https://ev-v2.cc.api.here.com/ev/pools/bulk.xml
?id={id}
-H 'Authorization: Bearer {YOUR_TOKEN}'

The code block below shows a bulk request for pools of charging stations using an API Key.

GET
https://ev-v2.cc.api.here.com/ev/pools/bulk.xml
?id={id}&apiKey={YOUR_API_KEY};             

The code block below shows a bulk request for pools of charging stations by multiple pool IDs using a bearer token.

GET
https://ev-v2.cc.api.here.com/ev/pools/bulk.json?id=ABC&id=XYZ
-H 'Authorization: Bearer {YOUR_TOKEN}'

The code block below shows a bulk request for pools of charging stations by multiple pool IDs using an API Key.

GET
https://ev-v2.cc.api.here.com/ev/pools/bulk.xml
?id={id}&apiKey={YOUR_API_KEY};         

Request Parameters

The table below documents mandatory parameters supported by this resource.

ParameterRequiredDescription
idRequiredThe id in the poolId attribute in the evStation element.

Response to this Request

For more information on responses to queries against the pools/bulk resource, see Stations Response.